
function [CBo]=BCmatricesGOs(CB,flag)
%Computes the different matrices Bi or Ci, i=i,2,...p for a GOS bank of
%observers
% p is the number of rows in the matrix C or columns in matrix B
% [Co]=BCmatricesGOs(C,'s') % For sensors
% [Bo]=BCmatricesGOs(B,'a') % For actuators

    
%% this part select the correct matrices for the GOS structure
%For sensor faults


p=size(CB,1);
if flag=='a'
    p=size(CB,2)
end


for j=1:p
if flag=='s'
    Ci=CB;

    clear C;
    for k=1:p
        
        if k~=j 
    C(k,:)=Ci(k,:);
    
        end
  
      
    end
    if size(C,1)~=1
     C = C(find(sum(C',1)~=0),:) %% delete rows of zeros
    CBo(:,:,j)=C;
    end
   
% For actuator faults    
elseif flag=='a'
  Bi=CB;

clear B;
    for k=1:p
        
        if k~=j 
    B(:,k)=Bi(:,k);
        end
  
      
    end
    
    if size(B,2)~=1
        B=B';
        
    B= B(find(sum(B',1)~=0),:)';%B(find(:,sum(B')>0)) %% delete rows of zeros
    end
           CBo(:,:,j)=B;
%     C=Ci;
end   
end