function sys=dss2tf(E,A,B,C,flag)
% This functions transform a descriptor state space system in to a descriptor transfer
% function system
%sintaxys
% sys=dss2tf(E,A,B,C)
% sys=dss2tf(E,A,B,C,D)
% 
%E,A,B,C are the matrices of the descriptor systems
% flag='c'  for continuos time
% flag='d'  for discrete
%default falg='c'
syms s;
syms z;
if nargin==4
    sys=C*inv(s*E-A)*B;
elseif flag=='c'
    sys=C*inv(s*E-A)*B;
elseif flag=='d'
    sys= C*inv(z*E-A)*B;
end
pretty(sys)