function [E,A,B,C,R]=dsys2ss(dsys)
% This function extract the matrices E,A,B,C and R from the descriptor
% system structure
%sintaxis
%[E,A,B,C,R]=dsys2ss(sys);
%[E,A,B,C]=dsys2ss(sys);
% E singular matrix
% A,B, C matrices of states, inputs an outputs respectivetly
% R   unkown  input matrix
%this  genera a structure with the descriptor system matrices
out=nargout;
if out==4
    E=dsys.Msingular;
    A=dsys.Mstate;
    B=dsys.Minput;
    C=dsys.Moutput;
elseif out==5
    E=dsys.Msingular;
    A=dsys.Mstate;
    B=dsys.Minput;
    C=dsys.Moutput;
    R=dsys.Munknown;
end