function [A1, N, h, B1, B2, C1, C2]=kwrse(P,Q,E,A,B,C);
%% [A1, N, h, B1, B2, C1, C2]=kwrse(P,Q,E,A,B,C)
%% [A1, N, h, B1, B2]=kwrse(P,Q,E,A,B)
ohs=nargout()
ihs=nargin()
Ae=P*A*Q
Ee=P*E*Q;
Be=P*B;
Ce=C*Q;
n=rank(E);
       Aux=size(Ee,1);
    
%/....N matrix and Nilpotence Index (h)................

N=Ee(n+1:Aux,n+1:Aux);
Ne=zeros(Aux,Aux);
if norm(N)==0 
Ne(n+1:Aux,n+1:Aux)=-eye(size(N));
else
Ne(n+1:Aux,n+1:Aux)=-N^0;
end

    h=1;
Ni=N;
while norm(Ni)>1e-8
    Ni=Ni*N;
    h=h+1;
     end
%..................................... 


A1=Ae(1:n, 1:n)


if ihs ==5 & ohs==5
B1=Be(1:n,:);
B2=Be(n+1:Aux,:);


elseif (ihs>=6 & ohs==7) 
B1=Be(1:n,:);
B2=Be(n+1:Aux,:);
C1=Ce(:,1:n);
C2=Ce(:,n+1:Aux);

    
end 
