clc;
clear all;
disp('Descriptor system')
E=[1 0 0 0; 0 1 0 0; 0 0 0 0; 0 0 0 0]
C=[1 0 1 0; 0 1 0 1; 1 0 0 0]
A=[-0.75 1 0 0; -1 -0.85 0 0; 0 -1 -0.75 0; 0 0 0 -1]
B=[1 10 ;1 0.5 ; 0 0  ;1 0 ]
R=[-1 0 0 0]'
F=B;

disp('fault vector')
input('strike enter to continue...'); % Strike enter to continue. 
H=[0 1 ; 0 0 ]' % Fault
 R=[1 0.5 0 0]';
 


[dsys]=dsystem(E,A,B,C,R);
%  [N,G,L,Ti,H2,Phi]=dosbank2(dsys,3,'s','sedumi')

% 
disp( 'Gains of  the GOS bank of observers')
disp('using a Proportional Unknwon input observer for sensor faults')
disp( 'and stabilizing in the LMI region with alpha=6')
input('strike enter to continue...'); % Strike enter to continue. 
[N,G1,L,H2,B1,Co]=gosbank1(dsys,6,'s');

% inputs
disp('inputs')
input('strike enter to continue...'); % Strike enter to continue. 
u1=0.5; u2=1; d=0;
U=[u1;u2]

% states initial conditions
disp('Initial Contidions');
input('strike enter to continue...'); % Strike enter to continue. 
xx(:,1)=zeros(4,1)
y(:,1)=C*xx(:,1)
input('strike enter to continue...'); % Strike enter to continue. 
%% initial conditions oberver
z=zeros(4,1,3)
xe(:,1,3)=[2 0 -1 1]'
ye(:,1,3)=C(1:2,:)*xe(:,1)
input('strike enter to continue...'); % Strike enter to continue. 
% fautls =0 in t=0
disp('Sinusoidal fault applied at 5<=t<=9')
disp('Bias applied at 11<=t<=15')
disp('Square fault applied at 17<=t<=20')
fa(1)=0;
input('strike enter to continue...'); % Strike enter to continue. 
% inknwon input d=0 in t=0
input('Sinusoidal disturbance applied for all t ')
d(1)=0;

% intiial time
t(1)=0;
Te=0.01;
% simulation loop fron t=0 to t=25 with a 
% integratio time Te=0.1;
disp('Simulation of the system and the observer')
input('strike enter to continue...'); % Strike enter to continue. 
for k=1:25/Te
      
    t(k+1)=t(k)+Te; % time vector
   
     %%unknown input in t=5
    d(:,k+1)=[sin(100*t(k))  ];
 
    %     faults vectors
    f1=0; f2=0; f3=0;
if t(k)>=5 & t(k)<9
    f1=sin(t(k)-1);
elseif t(k)>=11 & t(k)<15
    f2=2;
    elseif t(k)>=17 & t(k)<20
    f3=square(10*t(k));
end
f(:,k+1)=[f1; f2;f3];

    
    % model simulation
xx(1:2,k+1)=xx(1:2,k)+Te*(A(1:2,:)*xx(:,k)+B(1:2,:)*U+R(1:2,:)*d(k));
xx(3:4,k+1)= inv(-A(3:4,3:4))*(A(3:4,1:2)*xx(1:2,k+1)+B(3:4,:)*U+R(3:4,:)*d(k));    
    %      x12=A(1:2,:)*xx(:,k)+B(1:2,:)*U+R(1:2)*d(k);%+F(1:2,1)*fa(k);
%     x12=xx(1:2,k)+Te*x12;
%     x3=(A(3,1:2)*x12+B(3,:)*U+R(3,:)*d(k))/-A(3,3);%+F(3,1)*fa(k)
%     xx(1:3,k+1)=[x12;x3];
%     x4=(A(4,1:3)*xx(1:3,k+1)+B(4,:)*U+R(4,:)*d(k))/-A(4,4);%+F(4,1)*fa(k)
%     xx(:,k+1)=[x12; x3; x4];
     y(:,k+1)=C*xx(:,k+1)+eye(3,3)*f(:,k); 
    
    
  %/Observer Design
 %%%%%/Initial Conditions  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 %%System
        
        
        %/ acopling the observer input
  for j=1:size(C,1)  
  
      no=size(C,1);
       clear ya;


      for l=1:no
        
        if l~=j 
    ya(l)=y(l,k+1);
        end
  
      
    end
% pause
     ya= ya(find(ya~=0)');
      
      
      % observer simulation
      zz=zeros(4,1);
%      pause
     zz= N(:,:,j)*z(:,k,j)+G1(:,:,j)*U +L(:,:,j)*[-B1(:,:,j)*U ; ya'];
     z(:,k+1,j)= z(:,k,j)+Te*zz;
     %        z(:,k+1,j)=rgk4(zetas,z(:,k,j),Te);
%    z(:,k+1,j)=z(:,k,j)+Te*zz;

         xe(:,k+1,j)=z(:,k,j)+H2(:,:,j)*([-B1(:,:,j)*U ; ya']);   
         ye(:,k+1,j)=Co(:,:,j)*xe(:,k+1,j);
   
  %%residuos
  res(:,k+1,j)=norm(ya'-ye(:,k+1,j));
  
  
end
end

disp('PLOTS')
input('strike enter to continue...'); % Strike enter to continue. 
t=t';

figure(5);
clf();
title('observer 1 , outputs');
subplot(311);
plot(t,y(2,:),t,ye(1,:,1));
legend('$y_1$','$\hat{y}_1$');
subplot(312);
plot(t,y(3,:),t,ye(2,:,1));
legend('$y_2$','$\hat{y}_2$');
% subplot(413);
% plot(t,y(3,:),t,ye(3,:,1));
% legend('$y_3$','$\hat{y}_3$');
subplot(313);
plot(t,d',t,f');
legend('Unknown input','Fault');


figure(6);
clf();
title('observer 2 , outputs');
subplot(311);
plot(t,y(1,:),t,ye(1,:,2));
legend('$y_1$','$\hat{y}_1$');
subplot(312);
plot(t,y(3,:),t,ye(2,:,2));
legend('$y_2$','$\hat{y}_2$');


%

 th=ones(1,length(t))*max(d);
 figure(4);
 clf();
 subplot(411)
 plot(t,res(1,:,1))
title('Observer 1: Residual generations')
legend('res 1')
 subplot(412)
 plot(t,res(1,:,2))
 legend('res 2')
 subplot(413)
 plot(t,res(1,:,3))
 legend('res 2')
 subplot(414)
 plot(t,f)
legend('Fault s_1','Fault s_2','Fault s_3')

disp('%%%% The signatures are allways')
disp('          Fault 1    Fault2     Fault3')
disp('res1        0           1           1 ')
disp('res2        1           0           1 ')
disp('res1        1           1           0 ')