function [Ni,Li,Gi,Phi1,Phi2,T2,Caug]=ddlpvobsv2(E,Ai,Bi,Cd,F)

Ad=Ai(:,:,1);
Ad2=Ai(:,:,2);
Bd=Bi(:,:,1);
Bd2=Bi(:,:,2);
Fd=F;
Ed=E;
%% Observer design
%La taille des matrices
[m,n]=size(Ad);
[p,n]=size(Cd);
[n,d]=size(Fd);
[n,q]=size(Bd);
%% Observability conditions
rank([Ed Ad; zeros(size(Ed)) Ed;zeros(size(Cd) ) Cd])==n+rank(Ed)
rank([Ed Ad2; zeros(size(Ed)) Ed;zeros(size(Cd) ) Cd])==n+rank(Ed)
rank([Ed-Ad;Cd])==n
rank([Ed-Ad2;Cd])==n
%Les matrices augment�es
  A1aug=[Ad zeros(m,d);zeros(d,n) eye(d)];
  B1aug=[Bd;zeros(d,q)];
  A2aug=[Ad2 zeros(m,d);zeros(d,n) eye(d)];
  B2aug=[Bd2;zeros(d,q)];
  Caug=[Cd zeros(p,d)];
  Eaug=[Ed  -Fd; zeros(d,n)  eye(d,d)];
%   
%   Deltax1=[Delx(:,:,1);zeros(d,1)];
%       Deltax2=[Delx(:,:,2);zeros(d,1)];
%  Raug=[R;zeros(d,1)]; 
%   Gaug=[Ga zeros(2,1)]
%   EC= pinv([Eaug;Caug]);
 no=size(A1aug,1)
% T1=EC(:,1:n2);
% T2=EC(:,n2+1:end);
% UM=[eye(no,no) zeros(no,1)]*pinv([Eaug Raug ; Caug zeros(p,1)])
UM=pinv([Eaug  ; Caug ]);
% Raug*pinv([Eaug;Caug])

% UM=pinv([Eaug zeros(no,1);Caug Ga])*[eye(7,no) zeros(7,1)];
% Xs=[Eaug zeros(no,2);Caug Gaug];
% UM=[eye(no) zeros(no,2)]*pinv(Xs)
T1=UM(:,1:no)
T2=UM(:,no+1:end)
% T2(6,1)=1;
T1A1=T1*A1aug; 
T1A2=T1*A2aug;


clear ('Yalmip')

X1=sdpvar(no,no,'symmetric');
X2=sdpvar(no,no,'symmetric');
J1=sdpvar(no,no,'symmetric');
J2=sdpvar(no,no,'symmetric');
H1=sdpvar(no,no,'symmetric');
H2=sdpvar(no,no,'symmetric');
K1=sdpvar(no,p,'full');
K2=sdpvar(no,p,'full');
Phi1=sdpvar(no,p,'full')
Phi2=sdpvar(no,p,'full')
% L1=sdpvar(no,p);
% L2=sdpvar(no,p);
% L1=eye(no,p);
% L2=eye(no,p);
ra=0;
% while ra~=p;
% Phi=rand(no,p)*10;
% Phi=round(Phi);
% 
% ra=rank(Phi);
% end

% no=6;
% 
% r1=0.5;
% lambda1=0.4;
% r2=0.5;
% lambda2=0.46% 

r1=0.5;
lambda1=0.4;
r2=0.5;
lambda2=0.4;% 

Con=[X1>=0];
Con=[Con,X2>=0];
Con=[Con,H1>=0];
Con=[Con,H2>=0];
% Con=[Con,L1>0];
% Con=[Con,L2>0];
% Con=[Con,X2>0];
% Con=[Con,X2>0];
% Con=[Con,X2>0];
%i=1 j=1
Con=[Con,[J1+J1'  (T1A1+K1*Caug+Phi1*Caug-lambda1*eye(no))' J1'; (T1A1+K1*Caug+Phi1*Caug-lambda1*eye(no)) H1 zeros(no); J1 zeros(no) X1*r1^2]>=0]
Con=[Con,[J1+J1'  (T1A1+K1*Caug+Phi1*Caug-lambda1*eye(no))' J1'; (T1A1+K1*Caug+Phi1*Caug-lambda1*eye(no)) H2 zeros(no); J1 zeros(no) X1*r1^2]>=0]
Con=[Con,[J2+J2'  (T1A2+K2*Caug+Phi2*Caug-lambda2*eye(no))' J2'; (T1A2+K2*Caug+Phi2*Caug-lambda2*eye(no)) H1 zeros(no); J2 zeros(no) X2*r2^2]>=0]
Con=[Con,[J2+J2'  (T1A2+K2*Caug+Phi2*Caug-lambda2*eye(no))' J2'; (T1A2+K2*Caug+Phi2*Caug-lambda2*eye(no)) H2 zeros(no); J2 zeros(no) X2*r2^2]>=0]
% Con=[Con, [H1 zeros(no) eye(no) zeros(no); zeros(no) H2 zeros(no) zeros(no); zeros(no) zeros(no) X1 zeros(no); zeros(no) zeros(no) zeros(no) X2]>0]
% Con=[Con,[H1 eye(no) ; eye(no) H1]>0];
% Con=[Con,[H2 eye(no) ; eye(no) H2]>0];
Con=[Con,Phi1>=0,Phi2>=0,[H1 zeros(no) eye(no) zeros(no) ; zeros(no) H2 zeros(no) zeros(no); eye(no) zeros(no) X1 zeros(no); zeros(no) zeros(no) zeros(no) X2]>=0];

% Con=[Con, trace(X1*H1+H1*X1+X2*H2+H2*X2)==10]
ops = sdpsettings('solver','sedumi','verbose',0);

%  trace=trace((X1*H1+H1*X1+X2*H2+H2*X2))
solvesdp(Con ,[],ops)

X1o=double(X1)
X2o=double(X2)
H1o=double(H1)
H2o=double(H2)


% L1=double(L1)
% L2=double(L2)
% critere=trace(X1o*H1o+H1o*X1o+X2o*H2o+H2o*X2o)
% 
solvesdp(Con,trace(X1o*H1+H1o*X1+X2o*H2+H2o*X2),ops);
X1i=double(X1)
X2i=double(X2)
H1i=double(H1)
H2i=double(H2)
% K1=double(K1)
% K2=double(K2)

critere=trace(H1i*X1i+H2i*X2i)
% critere=trace(H1*X1+H2*X2);%On a obtenu des nouvelles matrices H and X et on v�rifie le crit�re tr(HX) qui doit converger vers n=6

 while critere > 2*no+0.0001
X1o=X1i;
X2o=X2i;
H1o=H1i;
H2o=H2i;

solvesdp(Con,trace(X1o*H1+H1o*X1+X2o*H2+H2o*X2),ops);
X1i=double(X1);
X2i=double(X2);
H1i=double(H1);
H2i=double(H2);
critere=trace(H1i*X1i+H2i*X2i)

%     
 end
X1=double(X1)
X2=double(X2)
H1=double(H1)
H2=double(H2)
K1=double(K1)
K2=double(K2)
% L1=double(L1)
% L2=double(L2)
% %On v�rifie que toutes les matrices v�rifient les conditions impos�es
% %H est bien d�finie positive
% %X aussi et elle est la "presque" inverse de H
% %N est stable
% %Le grand LMI est bien positive d�finie
% %La stabilit� est demontr�e, mais la matrice N obtenue contient deux z�ros
% 
% grandLMI=[Jopt'+Jopt Nopt' Jopt';Nopt Hopt zeros(6);Jopt zeros(6) Xopt];
% res=eig(grandLMI);
% 
K1=double(K1);
K2=double(K2);
N1=T1A1+K1*Caug;
N2=T1A2+K2*Caug;

Ni(:,:,1)=N1;
Ni(:,:,2)=N2;
Observer_Poles1=eig(N1);
Observer_Poles2=eig(N2);

G1=T1*B1aug;
G2=T1*B2aug;
Gi(:,:,1)=G1;
Gi(:,:,2)=G2;
Li(:,:,1)=N1*T2-K1;
Li(:,:,2)=N2*T2-K2;
% Delz(:,:,1)=T1*Deltax1;
% Delz(:,:,2)=T1*Deltax2;
Phi1=double(Phi1);
Phi2=double(Phi2);